package de.intevation.flys.artifacts.model.sq;

import java.io.Serializable;


public class StaticSQCacheKey
implements Serializable
{
    public static final String CACHE_NAME = "static-sq-relation";

    private String river;
    private int measurementId;

    public StaticSQCacheKey(String river, int measurementId) {
        this.river = river;
        this.measurementId = measurementId;
    }

    public int hashCode() {
        return this.river.hashCode() | measurementId;
    }

    public boolean equals(Object other) {
        if (!(other instanceof StaticSQCacheKey)) {
            return false;
        }
        StaticSQCacheKey o = (StaticSQCacheKey) other;
        return this.river == o.river && this.measurementId == o.measurementId;
    }
}
